//
// Copyright 2000 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
//
// p4wIntegProcessorView -- parses form to generate integrate command

#ifndef p4wIntegProcessorView_H
#define p4wIntegProcessorView_H


#include "p4wView.h"

class p4wIntegProcessorView : public p4wView {

public:

				p4wIntegProcessorView(p4wRequest & Request);
	virtual			~p4wIntegProcessorView();

	virtual	void		RenderContent();

private:
	enum IntegType { fromFile, fromPath, fromBranch } fIntegType;
	
	void			SetPathArg(StrBuf &path, const StrPtr *pattern);

	StrBuf			fTitle;
};

#endif // p4wIntegProcessorView_H

