//
// Copyright 2001 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//

//
// p4wJobsView -- parses form for mx jobs and generates
// 	the list of jobs

#ifndef p4wJobsView_H
#define p4wJobsView_H

#include "p4wView.h"

class p4wJobsView : public p4wView {

public:

	p4wJobsView( p4wRequest & Request );
	virtual			~p4wJobsView();

	virtual	void		RenderContent();
	virtual void		RenderMenu();
	virtual	void		RenderRssHdrLink( p4wHtml *htm );

private:
	int			fError;
};

#endif // p4wJobsView_H

