//
// Copyright 2000 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wTextContentView:
//   Renders output of print command using mime type determined by file suffix.

#ifndef p4wTextContentView_H
#define p4wTextContentView_H


#include "p4wRequest.h"
#include "p4wMimeContentView.h"
#include "p4wView.h"

class p4wTextContentView: public p4wMimeContentView {

public:

				p4wTextContentView(p4wRequest & Request);
	virtual			~p4wTextContentView();


	//
	// Render this view.
	virtual void		Render();
};

#endif // p4wTextContentView_H

